Subject: Re: Cygwin finally croaked
From: "George Hester" <[email-masked]>
To: [email-masked]
Date: Thu, 28 Oct 2004 19:51:05 -0400

"Larry Hall" <[email-masked]> wrote in message news:[email-masked]...
> At 08:17 PM 10/25/2004, you wrote:
> >"Larry Hall" 
> 
> <snip>
> 
> >> 
> >> OK, well if you actually changed absolutely *nothing* relative to Cygwin 
> >> then your problem lies elsewhere.  As for your 'cygwin.bat' file, that's 
> >> fine.  It works fine for me with minor edits to make it conform to my
> >> environment.  The only suggestion I'll make beyond looking at other areas
> >> in your system is to try running 'cygwin.bat' from a DOS command prompt
> >> window.  If you can reproduce the problem there, there may be some output
> >> that would help you zero in on the issue.
> >> 
> 
> <snip>
> 
> >OK I did it in the console.  Pardon my mistakes here:
> >
> >C:\cygwin>cygwin
> >
> >C:\cygwin>REM @echo off
> >
> >C:\cygwin>C:
> >
> >C:\cygwin>chdir C:\cygwin\bin
> >
> >C:\cygwin\bin>Set INCLUDE=C:\cygwin\lib\gcc-lib\i686-pc-mingw32\3.3.1\include;
> >
> >C:\cygwin\bin>Set CYGWIN=tty notitle glob
> >
> >C:\cygwin\bin>bash --login -i
> >
> >=========
> >My comment: This should not have happened.
> >=========
> 
> 
> Huh.  Well I guess it's time to get some output from bash.  Add '-x' after
> '-i' in your 'cygwin.bat' file and try it again.
> 
> 
> >C:\cygwin\bin>cygwin
> >'cygwin' is not recognized as an internal or external command,
> >operable program or batch file.
> 
> 
> As you know, that's expected unless 'C:\cygwin' is in your Windows path
> (which it really shouldn't be).
> 
> 
> <snip>
> 
> 
> --
> Larry Hall                              http://www.rfk.com
> RFK Partners, Inc.                      (508) 893-9779 - RFK Office
> 838 Washington Street                   (508) 893-9889 - FAX
> Holliston, MA 01746                     
> 
> 

Something definitely isn't right.  I had to enter cygwin twice as you can tell.  I unremed the echo in the batch and put the switvch -x inm as you said.  The following is the result:

C:\cygwin>cygwin

C:\cygwin\bin>cygwin
'cygwin' is not recognized as an internal or external command,
operable program or batch file.

C:\cygwin\bin>cd..

C:\cygwin>cygwin
+ PATH=/usr/local/bin:/usr/bin:/bin:/usr/X11R6/bin:/cygdrive/c/Python/:/cygdrive
/c/PHP4:/cygdrive/c/Tcl/bin:/cygdrive/c/PROGRA~1/imagemagick-5.5.7-q8:/cygdrive/
c/Perl/bin/:/cygdrive/c/Program Files/Microsoft Visual Studio/Common/Tools:/cygd
rive/c/Program Files/Microsoft Visual Studio/Common/Msdev98/BIN:/cygdrive/c/Prog
ram Files/Microsoft Visual Studio/DF98/BIN:/cygdrive/c/Program Files/Microsoft V
isual Studio/VC98/BIN:/cygdrive/c/Program Files/Microsoft SDK/Bin/:/cygdrive/c/P
ROGRA~1/MICROS~3/MSSQL/Binn:/cygdrive/c/MASM611/BIN:/cygdrive/c/MASM611/BINR:/cy
gdrive/c/BisonFlex/bin:/cygdrive/c/WINNT/system32:/cygdrive/c/WINNT:/cygdrive/c/
WINNT/System32/Wbem:/cygdrive/c/Program Files/Microsoft SQL Server/80/Tools/BINN
:/cygdrive/c/Program Files/Resource Kit/:/cygdrive/c/Program Files/Microsoft SDK
/Bin/:/cygdrive/c/Program Files/Microsoft SDK/Bin/WinNT/:/cygdrive/c/PROGRA~1/DE
BUGG~1/:/cygdrive/c/Sun/AppServer/bin:/cygdrive/c/PROGRA~1/j2sdk_nb/j2sdk1.4.2/b
in:/cygdrive/c/PROGRA~1/j2sdk_nb/j2sdk1.4.2/jre/bin:/cygdrive/c/PROGRA~1/MICROS~
1.0/Bin:.:/cygdrive/c/Program Files/Support Tools/:/cygdrive/c/sml/bin:/cygdrive
/c/UnxUtils/bin:/cygdrive/c/UnxUtils/usr/local/wbin:/cygdrive/c/INETSDK/Bin:/cyg
drive/c/ant/bin:/cygdrive/c/maven/bin:/usr/bin:/cygdrive/c/Help_Workshop:/cygdri
ve/c/Inetpub/AdminScripts:/cygdrive/c/PROGRA~1/SYSINT~1/pstools:/cygdrive/c/Rhin
o/:.
+ export PATH
+ MANPATH=/usr/local/man:/usr/man:/usr/share/man:/usr/autotool/devel/man:
+ export MANPATH
+ INFOPATH=/usr/local/info:/usr/info:/usr/share/info:/usr/autotool/devel/info:/u
sr/autotool/stable/info:
+ export INFOPATH
++ id -un
+ USER=Administrator
+ export USER
+ '[' '!' -d /home/Administrator ']'
+ '[' -d /etc/profile.d ']'
++ /bin/find /etc/profile.d -iname '*.sh' -type f
++ sort
+ read f
+ '[' -f /etc/profile.d/00xorg-x11-base.sh ']'
+ . /etc/profile.d/00xorg-x11-base.sh
++ test -n '/usr/local/bin:/usr/bin:/bin:/usr/X11R6/bin:/cygdrive/c/Python/:/cyg
drive/c/PHP4:/cygdrive/c/Tcl/bin:/cygdrive/c/PROGRA~1/imagemagick-5.5.7-q8:/cygd
rive/c/Perl/bin/:/cygdrive/c/Program Files/Microsoft Visual Studio/Common/Tools:
/cygdrive/c/Program Files/Microsoft Visual Studio/Common/Msdev98/BIN:/cygdrive/c
/Program Files/Microsoft Visual Studio/DF98/BIN:/cygdrive/c/Program Files/Micros
oft Visual Studio/VC98/BIN:/cygdrive/c/Program Files/Microsoft SDK/Bin/:/cygdriv
e/c/PROGRA~1/MICROS~3/MSSQL/Binn:/cygdrive/c/MASM611/BIN:/cygdrive/c/MASM611/BIN
R:/cygdrive/c/BisonFlex/bin:/cygdrive/c/WINNT/system32:/cygdrive/c/WINNT:/cygdri
ve/c/WINNT/System32/Wbem:/cygdrive/c/Program Files/Microsoft SQL Server/80/Tools
/BINN:/cygdrive/c/Program Files/Resource Kit/:/cygdrive/c/Program Files/Microsof
t SDK/Bin/:/cygdrive/c/Program Files/Microsoft SDK/Bin/WinNT/:/cygdrive/c/PROGRA
~1/DEBUGG~1/:/cygdrive/c/Sun/AppServer/bin:/cygdrive/c/PROGRA~1/j2sdk_nb/j2sdk1.
4.2/bin:/cygdrive/c/PROGRA~1/j2sdk_nb/j2sdk1.4.2/jre/bin:/cygdrive/c/PROGRA~1/MI
CROS~1.0/Bin:.:/cygdrive/c/Program Files/Support Tools/:/cygdrive/c/sml/bin:/cyg
drive/c/UnxUtils/bin:/cygdrive/c/UnxUtils/usr/local/wbin:/cygdrive/c/INETSDK/Bin
:/cygdrive/c/ant/bin:/cygdrive/c/maven/bin:/usr/bin:/cygdrive/c/Help_Workshop:/c
ygdrive/c/Inetpub/AdminScripts:/cygdrive/c/PROGRA~1/SYSINT~1/pstools:/cygdrive/c
/Rhino/:.'
++ /bin/echo /usr/local/bin:/usr/bin:/bin:/usr/X11R6/bin:/cygdrive/c/Python/:/cy
gdrive/c/PHP4:/cygdrive/c/Tcl/bin:/cygdrive/c/PROGRA~1/imagemagick-5.5.7-q8:/cyg
drive/c/Perl/bin/:/cygdrive/c/Program Files/Microsoft Visual Studio/Common/Tools
:/cygdrive/c/Program Files/Microsoft Visual Studio/Common/Msdev98/BIN:/cygdrive/
c/Program Files/Microsoft Visual Studio/DF98/BIN:/cygdrive/c/Program Files/Micro
soft Visual Studio/VC98/BIN:/cygdrive/c/Program Files/Microsoft SDK/Bin/:/cygdri
ve/c/PROGRA~1/MICROS~3/MSSQL/Binn:/cygdrive/c/MASM611/BIN:/cygdrive/c/MASM611/BI
NR:/cygdrive/c/BisonFlex/bin:/cygdrive/c/WINNT/system32:/cygdrive/c/WINNT:/cygdr
ive/c/WINNT/System32/Wbem:/cygdrive/c/Program Files/Microsoft SQL Server/80/Tool
s/BINN:/cygdrive/c/Program Files/Resource Kit/:/cygdrive/c/Program Files/Microso
ft SDK/Bin/:/cygdrive/c/Program Files/Microsoft SDK/Bin/WinNT/:/cygdrive/c/PROGR
A~1/DEBUGG~1/:/cygdrive/c/Sun/AppServer/bin:/cygdrive/c/PROGRA~1/j2sdk_nb/j2sdk1
.4.2/bin:/cygdrive/c/PROGRA~1/j2sdk_nb/j2sdk1.4.2/jre/bin:/cygdrive/c/PROGRA~1/M
ICROS~1.0/Bin:.:/cygdrive/c/Program Files/Support Tools/:/cygdrive/c/sml/bin:/cy
gdrive/c/UnxUtils/bin:/cygdrive/c/UnxUtils/usr/local/wbin:/cygdrive/c/INETSDK/Bi
n:/cygdrive/c/ant/bin:/cygdrive/c/maven/bin:/usr/bin:/cygdrive/c/Help_Workshop:/
cygdrive/c/Inetpub/AdminScripts:/cygdrive/c/PROGRA~1/SYSINT~1/pstools:/cygdrive/
c/Rhino/:.
++ /bin/grep -q /usr/X11R6/bin
+ read f
+ '[' -f /etc/profile.d/openssl.sh ']'
+ . /etc/profile.d/openssl.sh
++ export MANPATH=/usr/local/man:/usr/man:/usr/share/man:/usr/autotool/devel/man
::/usr/ssl/man
++ MANPATH=/usr/local/man:/usr/man:/usr/share/man:/usr/autotool/devel/man::/usr/
ssl/man
+ read f
+ MAKE_MODE=unix
+ export MAKE_MODE
+ CVS_RSH=/bin/ssh
+ export CVS_RSH
++ hostname
+ HOSTNAME=hester
+ export HOSTNAME
+ PS1=\[\033]0;\w\007
\033[32m\]\u@\h \[\033[33m\w\033[0m\]
$
+ tty --quiet
+ stty erase '^?'
+ export PS1
+ umask 022
++ uname -s
++ regtool -q get '\user\Software\Microsoft\Windows NT\CurrentVersion\Windows\De
vice'
++ sed 's/,.*$//'
+ PRINTER=Lexmark Z22-Z32 Color Jetprinter
+ cd /home/Administrator
++ id -ng
+ '[' -e /etc/bash.bashrc ']'
+ source /etc/bash.bashrc
+ '[' -e /home/Administrator/.bashrc ']'
+ source /home/Administrator/.bashrc

Administrator@hester ~
$

-- 
George Hester
__________________________________

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/